<?php
	if(!file_exists("{$_SERVER['DOCUMENT_ROOT']}/robots.txt")) {
		file_put_contents("{$_SERVER['DOCUMENT_ROOT']}/robots.txt", "User-agent: *
Disallow: /admin/
Host: {$_SERVER['SERVER_NAME']}
Sitemap: http://{$_SERVER['SERVER_NAME']}/sitemap.xml");
	}

include 'inc/dictionary.php';
$core = 'inc/core_engine.php'; 

if(isset($core)) {
	if(file_exists($core)) {
		foreach(array('GD', 'mbstring') as $module) {
			if(!extension_loaded($module)) {
				exit('absent: ' . $module);
			}
		}

		require $core;
	} else {
		exit('Core file not found');
	}
} else {
	exit('PHP version 5.6 - 7.4');
}

